Sign in Start for free

Scheduled Jobs

Get the status of all the scheduled jobs

GET /api/scheduler

Response

200 — The Status of all the scheduled jobs

  • Id string
    Gets or sets a unique identifier for this resource.
  • IsRunning boolean
  • LastModifiedBy string
    Gets or sets the username of the user who last modified this resource.
  • LastModifiedOn string
    Gets or sets the date/time that this resource was last modified. Format date-time.
  • Links object
    Gets or sets a dictionary of links to other related resources. These links can be used to navigate the resources on the server.
  • TaskStatus array of object
    • Id string
      Gets or sets a unique identifier for this resource.
    • IsEnabled boolean
    • LastModifiedBy string
      Gets or sets the username of the user who last modified this resource.
    • LastModifiedOn string
      Gets or sets the date/time that this resource was last modified. Format date-time.
    • Links object
      Gets or sets a dictionary of links to other related resources. These links can be used to navigate the resources on the server.
    • Name string

Example Response

JSON
{
  "Id": "string",
  "IsRunning": true,
  "LastModifiedBy": "string",
  "LastModifiedOn": "2020-01-01T00:00:00.000Z",
  "Links": {
    "additionalProp1": "string",
    "additionalProp2": "string",
    "additionalProp3": "string"
  },
  "TaskStatus": [
    {
      "Id": "string",
      "IsEnabled": true,
      "LastModifiedBy": "string",
      "LastModifiedOn": "2020-01-01T00:00:00.000Z",
      "Links": {
        "additionalProp1": "string",
        "additionalProp2": "string",
        "additionalProp3": "string"
      },
      "Name": "string"
    }
  ]
}

Enable a scheduled job or the job scheduler

GET /api/scheduler/start

Query Parameters

  • task string
    The name of the Job to enable. If null the job scheduler itself will be enabled.

Response

200 — Success

Example Response

JSON
"string"

Disable a scheduled job or the job scheduler

GET /api/scheduler/stop

Query Parameters

  • task string
    The name of the Job to disable. If null the job scheduler itself will be disableped.

Response

200 — Success

Example Response

JSON
"string"

Trigger a scheduled job immediately and waits for it to complete

GET /api/scheduler/trigger

Query Parameters

  • task string (required)

Response

200 — Success

Example Response

JSON
"string"

Get the structured log for a scheduled job

GET /api/scheduler/{name}/logs

Path Parameters

  • name string (required)

Query Parameters

  • tail integer
  • verbose boolean

Response

200 — The structured log for a scheduled job

  • ActivityLog object
    • Children array of object
    • Ended string
      Format date-time.
    • Id string
    • LogElements array of object
    • Name string
    • ProgressMessage string
    • ProgressPercentage integer
    • ShowAtSummaryLevel boolean
    • Started string
      Format date-time.
    • Status enum
      Allowed values: Pending, Running, Success, Failed, Skipped, SuccessWithWarning, Canceled.
  • Id string
    Gets or sets a unique identifier for this resource.
  • LastModifiedBy string
    Gets or sets the username of the user who last modified this resource.
  • LastModifiedOn string
    Gets or sets the date/time that this resource was last modified. Format date-time.
  • Links object
    Gets or sets a dictionary of links to other related resources. These links can be used to navigate the resources on the server.

Example Response

JSON
{
  "ActivityLog": {
    "Children": [],
    "Ended": "2020-01-01T00:00:00.000Z",
    "Id": "string",
    "LogElements": [
      {
        "Category": "Trace",
        "Detail": "string",
        "GapLastNumber": 0,
        "MessageText": "string",
        "Number": 0,
        "OccurredAt": "2020-01-01T00:00:00.000Z"
      }
    ],
    "Name": "string",
    "ProgressMessage": "string",
    "ProgressPercentage": 0,
    "ShowAtSummaryLevel": true,
    "Started": "2020-01-01T00:00:00.000Z",
    "Status": "Pending"
  },
  "Id": "string",
  "LastModifiedBy": "string",
  "LastModifiedOn": "2020-01-01T00:00:00.000Z",
  "Links": {
    "additionalProp1": "string",
    "additionalProp2": "string",
    "additionalProp3": "string"
  }
}

Get the raw log for a scheduled job

GET /api/scheduler/{name}/logs/raw

Path Parameters

  • name string (required)

Response

200 — Success

Example Response

JSON
"string"